<template>
  <Layout>
    <div class="layout-container" style="width: 100%">
      <div class="layout-container" style="width: 100%">
        <img src="@/assets/images/about.jpg" style="width: 100% " >
      </div>
    </div>

    <div class="section" style="width: 100%;margin-top: -100px">
      <div  class="about-background" style="width: 100%">
        <div style="width: 500px;margin-left: 100px" >
          <br/>
          <br/>
          <br/>
          <br/>
          <br/>
          <br/>
          <br/>
          <br/>
          <br/>
          <h2 class="section--title"><strong>关于我们</strong></h2>
          <p class="section--description" style="line-height:30px;font-size: 18px;letter-spacing:4px">{{ companyInfo.introduction }}</p>
        </div>

      </div>


      <div class="section" style="width: 100% ;margin-top: 100px" >
        <div  class="about-background_bottom"  style="width: 100%">

          <div class="section--header" style="margin-top: -120px">
            <h5 class="section--title"> <strong style="font-size: 40px">发展历程</strong></h5>
            <p class="section--description" style="margin-top: -10px">
              DEVELOPMENT HISTORY</p>
          </div>



<!--          <div style=";width: 100%;">  <img src="@/assets/images/develop.png" style="width: 100%;margin-top: 10px;" alt="">
          </div>-->

        </div>

      </div>
    </div>



  </Layout>
</template>

<script>
import Layout from "@/components/common/Layout";

export default {
  name: "AboutView",
  components: {Layout},
  data() {
    return {
      companyInfo: {},
      designers: [],
    }
  },
  mounted() {
    this.getCompanyInfo()
    activeIndex:'/about'
    /*this.getDesigners()*/
  },
  methods: {
    getCompanyInfo() {
      //获取公司信息，默认第一个
      this.$post("/company/interlist", {})
          .then((res) => {
            if (res.code == 1) {
              console.log(res)
              if (res.data.data.length > 0) {
                this.companyInfo = res.data.data[0]
              }
            }
          })
          .catch((error) => {
            this.$message.error(error.message);
          });

    },
    getDesigners() {
      //获取所有设计师
      this.$post("/designer/interlist", {})
          .then((res) => {
            if (res.code == 1) {
              console.log(res)
              this.designers = res.data.data
            }
          })
          .catch((error) => {
            this.$message.error(error.message);
          });

    }

  }
}
</script>

<style scoped>

</style>
